Bug 993463 - firefox-22.0-1.fc19: do_winsys_init: Process /usr/lib/firefox/firefox was killed by signal 11 (SIGSEGV) [NEEDINFO]
firefox-22.0-1.fc19: do_winsys_init: Process /usr/lib/firefox/firefox was kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:1863402ddeb643eab6387595908...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 22:19 EDT by Fred R. Beck
Modified: 2016-03-20 16:29 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-20 16:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
stephent98: needinfo? (beckfr)


Attachments (Terms of Use)
File: backtrace (197.57 KB, text/plain)
2013-08-05 22:19 EDT, Fred R. Beck
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-05 22:19 EDT, Fred R. Beck
no flags Details
File: core_backtrace (1.45 KB, text/plain)
2013-08-05 22:19 EDT, Fred R. Beck
no flags Details
File: dso_list (7.73 KB, text/plain)
2013-08-05 22:19 EDT, Fred R. Beck
no flags Details
File: environ (3.57 KB, text/plain)
2013-08-05 22:19 EDT, Fred R. Beck
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-05 22:19 EDT, Fred R. Beck
no flags Details
File: maps (22.62 KB, text/plain)
2013-08-05 22:19 EDT, Fred R. Beck
no flags Details
File: open_fds (162 bytes, text/plain)
2013-08-05 22:19 EDT, Fred R. Beck
no flags Details
File: proc_pid_status (784 bytes, text/plain)
2013-08-05 22:19 EDT, Fred R. Beck
no flags Details
File: var_log_messages (2.35 KB, text/plain)
2013-08-05 22:19 EDT, Fred R. Beck
no flags Details

  None (edit)
Description Fred R. Beck 2013-08-05 22:19:06 EDT
Version-Release number of selected component:
firefox-22.0-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib/firefox/firefox
crash_function: do_winsys_init
executable:     /usr/lib/firefox/firefox
kernel:         3.9.9-302.fc19.i686.PAE
runlevel:       N 5
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 do_winsys_init at radeon_drm_winsys.c:212
 #1 radeon_drm_winsys_create at radeon_drm_winsys.c:610
 #2 create_screen at target.c:11
 #3 dri2_init_screen at dri2.c:806
 #4 driCreateNewScreen at ../../../../src/mesa/drivers/dri/common/drisw_util.c:70
 #5 driswCreateScreen at drisw_glx.c:672
 #6 AllocAndFetchScreenConfigs at glxext.c:758
 #7 __glXInitialize at glxext.c:859
 #8 GetGLXPrivScreenConfig at glxcmds.c:174
 #10 glXChooseVisual at glxcmds.c:1197

Potential duplicate: bug 989713
Comment 1 Fred R. Beck 2013-08-05 22:19:09 EDT
Created attachment 783106 [details]
File: backtrace
Comment 2 Fred R. Beck 2013-08-05 22:19:12 EDT
Created attachment 783107 [details]
File: cgroup
Comment 3 Fred R. Beck 2013-08-05 22:19:15 EDT
Created attachment 783108 [details]
File: core_backtrace
Comment 4 Fred R. Beck 2013-08-05 22:19:18 EDT
Created attachment 783109 [details]
File: dso_list
Comment 5 Fred R. Beck 2013-08-05 22:19:21 EDT
Created attachment 783110 [details]
File: environ
Comment 6 Fred R. Beck 2013-08-05 22:19:24 EDT
Created attachment 783111 [details]
File: limits
Comment 7 Fred R. Beck 2013-08-05 22:19:27 EDT
Created attachment 783112 [details]
File: maps
Comment 8 Fred R. Beck 2013-08-05 22:19:29 EDT
Created attachment 783113 [details]
File: open_fds
Comment 9 Fred R. Beck 2013-08-05 22:19:32 EDT
Created attachment 783114 [details]
File: proc_pid_status
Comment 10 Fred R. Beck 2013-08-05 22:19:35 EDT
Created attachment 783115 [details]
File: var_log_messages
Comment 11 Martin Stransky 2013-08-30 07:23:50 EDT
This is an automated bug report processing. If you're able to reproduce the crash, please reopen it and remove the [abrt] string from the topics. And attach the reproduction steps.

Thanks!
Comment 12 Steve Tyler 2013-09-04 12:43:11 EDT
Why was this closed? The backtrace clearly shows that "version" is a NULL pointer.

Program terminated with signal 11, Segmentation fault.
#0  do_winsys_init (ws=0xb7570520) at radeon_drm_winsys.c:212
212	    if (version->version_major != 2 ||

Thread 1 (Thread 0xb774c700 (LWP 2197)):
#0  do_winsys_init (ws=0xb7570520) at radeon_drm_winsys.c:212
        gem_info = {gart_size = 0, vram_size = 0, vram_visible = 0}
        retval = <optimized out>
        version = 0x0


Fred: Do you have any non-Fedora extensions installed?

#4  0xb4c50617 in driCreateNewScreen (scrn=0, extensions=0x4d838340 <loader_extensions>, driver_configs=0xbff10b2c, data=0xb7511940) at ../../../../src/mesa/drivers/dri/common/drisw_util.c:70
Comment 13 Nicolas Mailhot 2013-09-17 05:40:28 EDT
Hit this in rawhide today in firefox 23, abrt does not want to show problem info since it has already been reported (but not fixed)
Comment 14 Nicolas Mailhot 2013-09-17 05:42:53 EDT
{   "signal": 11
,   "executable": "/usr/lib64/firefox/firefox"
,   "stacktrace":
      [ {   "crash_thread": true
        ,   "frames":
              [ {   "address": 140335824555609
                ,   "build_id": "5682d68361dd1cac2a2455a3ffffe71ffdd08622"
                ,   "build_id_offset": 3837529
                ,   "function_name": "radeon_drm_winsys_create"
                ,   "file_name": "/usr/lib64/dri/r600_dri.so"
                ,   "fingerprint": "7d7793b7a755f1bdf0362ebccf982e8c10195e92"
                }
              , {   "address": 140335821220569
                ,   "build_id": "5682d68361dd1cac2a2455a3ffffe71ffdd08622"
                ,   "build_id_offset": 502489
                ,   "function_name": "create_screen"
                ,   "file_name": "/usr/lib64/dri/r600_dri.so"
                ,   "fingerprint": "3dd2da2de8fbd08723e52a8b6366d2348fd5a272"
                }
              , {   "address": 140335824536530
                ,   "build_id": "5682d68361dd1cac2a2455a3ffffe71ffdd08622"
                ,   "build_id_offset": 3818450
                ,   "function_name": "dri2_init_screen"
                ,   "file_name": "/usr/lib64/dri/r600_dri.so"
                ,   "fingerprint": "b19ef2e5e7fad0fa90e722294549e371abf51e9a"
                }
              , {   "address": 140335784444621
                ,   "build_id": "6bb64797f109ae4b42d0ff5cf5081a515034260d"
                ,   "build_id_offset": 295629
                ,   "function_name": "driCreateNewScreen"
                ,   "file_name": "/usr/lib64/dri/swrast_dri.so"
                ,   "fingerprint": "5c820b8a0ad086a06ccdcdccaf8f7ecac0510344"
                }
              , {   "address": 252543509771
                ,   "build_id": "78c76e851a851dbd1c6b296baabd2eda5326af4e"
                ,   "build_id_offset": 271627
                ,   "function_name": "driswCreateScreen"
                ,   "file_name": "/lib64/libGL.so.1"
                ,   "fingerprint": "c2d6f817abc4c3700c2f57a1cd760eb85b6cc5f2"
                }
              , {   "address": 252543355368
                ,   "build_id": "78c76e851a851dbd1c6b296baabd2eda5326af4e"
                ,   "build_id_offset": 117224
                ,   "function_name": "__glXInitialize"
                ,   "file_name": "/lib64/libGL.so.1"
                ,   "fingerprint": "a12b5acd4765d990182a62f2e4f4acc07749153c"
                }
              , {   "address": 252543340635
                ,   "build_id": "78c76e851a851dbd1c6b296baabd2eda5326af4e"
                ,   "build_id_offset": 102491
                ,   "function_name": "GetGLXPrivScreenConfig.part.2"
                ,   "file_name": "/lib64/libGL.so.1"
                ,   "fingerprint": "291b69e35ea35d1a13dff6aa79d59fd673abedb8"
                }
              , {   "address": 252543342787
                ,   "build_id": "78c76e851a851dbd1c6b296baabd2eda5326af4e"
                ,   "build_id_offset": 104643
                ,   "function_name": "glXChooseVisual"
                ,   "file_name": "/lib64/libGL.so.1"
                ,   "fingerprint": "1cdb944e94ccbb8f4539b82d3e6e77825476c21f"
                }
              , {   "address": 272362618664
                ,   "build_id": "b0c6a2a22ef15f958193f7afa1a4bddb73d372d2"
                ,   "build_id_offset": 7585576
                ,   "function_name": "_ZL7glxtestv"
                ,   "file_name": "/usr/lib64/firefox/xulrunner/libxul.so"
                ,   "fingerprint": "7cc08eeac8494332dfb33f421cb047c2dc73059b"
                }
              , {   "address": 272362619294
                ,   "build_id": "b0c6a2a22ef15f958193f7afa1a4bddb73d372d2"
                ,   "build_id_offset": 7586206
                ,   "function_name": "_Z20fire_glxtest_processv"
                ,   "file_name": "/usr/lib64/firefox/xulrunner/libxul.so"
                ,   "fingerprint": "2c1a61d1fcb3ad79e3fdfcbd65e4bcf3ea1528a6"
                }
              , {   "address": 272362583486
                ,   "build_id": "b0c6a2a22ef15f958193f7afa1a4bddb73d372d2"
                ,   "build_id_offset": 7550398
                ,   "function_name": "_ZN7XREMain12XRE_mainInitEPb"
                ,   "file_name": "/usr/lib64/firefox/xulrunner/libxul.so"
                ,   "fingerprint": "daeb42e0dc2f7de418ccc89aa95bf6d8aa38ae6e"
                }
              , {   "address": 272362597570
                ,   "build_id": "b0c6a2a22ef15f958193f7afa1a4bddb73d372d2"
                ,   "build_id_offset": 7564482
                ,   "function_name": "_ZN7XREMain8XRE_mainEiPPcPK12nsXREAppData"
                ,   "file_name": "/usr/lib64/firefox/xulrunner/libxul.so"
                ,   "fingerprint": "9c52dacb5895a30b5b487c2c3e9ba817fe56e451"
                }
              , {   "address": 272362598291
                ,   "build_id": "b0c6a2a22ef15f958193f7afa1a4bddb73d372d2"
                ,   "build_id_offset": 7565203
                ,   "function_name": "XRE_main"
                ,   "file_name": "/usr/lib64/firefox/xulrunner/libxul.so"
                ,   "fingerprint": "3ab02b229609de5ccb7f6977d19ca2320923d967"
                }
              , {   "address": 4209601
                ,   "build_id": "fc89ec1220099b55e0732e394d1bfbf3e90fff57"
                ,   "build_id_offset": 15297
                ,   "function_name": "_ZL7do_mainiPPcP7nsIFile"
                ,   "file_name": "/usr/lib64/firefox/firefox"
                ,   "fingerprint": "27717367fb67a36803d3eda80f61863b612cdfae"
                }
              , {   "address": 4207567
                ,   "build_id": "fc89ec1220099b55e0732e394d1bfbf3e90fff57"
                ,   "build_id_offset": 13263
                ,   "function_name": "main"
                ,   "file_name": "/usr/lib64/firefox/firefox"
                ,   "fingerprint": "0924591e4a1a9bcdb19f72da4b94d6adee783c63"
                } ]
        } ]
}
Comment 15 D. Hugh Redelmeier 2013-11-14 14:27:24 EST
My experience of this is quite odd.

My machine ("redeye") was in an odd state due to https://bugzilla.redhat.com/show_bug.cgi?id=1003221.  The X server wasn't functional.  I was ssh'ed in from another machine ("redsquare"), with X forwarded to that machine's server.

I ran gnome-abrt through ssh.  I clicked on a URL that it displayed to get to the buzilla entry.  That caused (I think) Firefox to run on redeye before handing off the work to a firefox running on redsquare.  I forget the mechanism of this handoff, but for sure firefox was running on redsquare, not just using its display.

This report is a crash of the firefox that ran on redeye, the one that successfully handed off the URL to the firefox on redsquare.

The X server remained hung on redsquare at this time: until a reboot a few minutes later.  After the reboot, ABRT came up on redeye's console, and here I am.
Comment 16 Dr. David Alan Gilbert 2013-12-14 16:04:35 EST
Interesting; my bug https://bugzilla.redhat.com/show_bug.cgi?id=1029144 seems to have stopped killing the X server, but does reliably generate this firefox seg on the URL given in that bug.
Comment 17 Dr. David Alan Gilbert 2013-12-14 16:53:23 EST
(gdb) bt full
#0  do_winsys_init (ws=0x7f3c0f805000) at radeon_drm_winsys.c:212
        gem_info = {gart_size = 0, vram_size = 0, vram_visible = 0}
        retval = <optimized out>
        version = <optimized out>
#1  radeon_drm_winsys_create (fd=-1) at radeon_drm_winsys.c:617
        ws = 0x7f3c0f805000
#2  0x00007f3c07d5ead9 in create_screen (fd=<optimized out>) at target.c:11
        radeon = <optimized out>
        screen = <optimized out>
#3  0x00007f3c08088302 in dri2_init_screen (sPriv=0x7f3c0f83c860) at dri2.c:877
        configs = <optimized out>
        screen = 0x7f3c0f821200
        pscreen = <optimized out>
        throttle_ret = 0x0
#4  0x00007f3c05a742cd in driCreateNewScreen (scrn=0, extensions=0x3cdca65620 <loader_extensions>, driver_configs=0x7fff8c30b630, data=0x7f3c0f87f8e0) at ../../../../src/mesa/drivers/dri/common/drisw_util.c:70
        emptyExtensionList = {0x0}
        psp = 0x7f3c0f83c860
#5  0x0000003cdc8424db in driswCreateScreen (screen=0, priv=<optimized out>) at drisw_glx.c:686
        psp = <optimized out>
        driver_configs = 0x7fff8c30b728
        extensions = <optimized out>
        psc = 0x7f3c0f87f8e0
        configs = 0x0
        visuals = 0x0
        i = <optimized out>
#6  0x0000003cdc81c9e8 in AllocAndFetchScreenConfigs (priv=0x7f3c0f850400, dpy=0x7f3c0f8c2000) at glxext.c:778
        psc = <optimized out>
        i = 0
        screens = 1
#7  __glXInitialize (dpy=dpy@entry=0x7f3c0f8c2000) at glxext.c:879
        i = <optimized out>
        dpyPriv = 0x7f3c0f850400
        d = <optimized out>
        glx_direct = <optimized out>
        glx_accel = <optimized out>
        dpy = 0x7f3c0f8c2000
        dpyPriv = <optimized out>
#8  0x0000003cdc81905b in GetGLXPrivScreenConfig (dpy=dpy@entry=0x7f3c0f8c2000, scrn=scrn@entry=0, ppriv=ppriv@entry=0x7fff8c30b720, ppsc=ppsc@entry=0x7fff8c30b728) at glxcmds.c:174
No locals.
#9  0x0000003cdc8198c3 in GetGLXPrivScreenConfig (ppsc=0x7fff8c30b728, ppriv=0x7fff8c30b720, scrn=0, dpy=0x7f3c0f8c2000) at glxcmds.c:170
No locals.
#10 glXChooseVisual (dpy=dpy@entry=0x7f3c0f8c2000, screen=0, attribList=attribList@entry=0x7fff8c30b8f8) at glxcmds.c:1251
        visualList = 0x0
        priv = 0x0
        psc = 0x410116 <arena_dalloc+89>
        test_config = {next = 0x7f3c0f8c2000, rgbMode = 175 '\257', floatMode = 50 '2', colorIndexMode = 36 '$', doubleBufferMode = 50, stereoMode = 2352003056, redBits = 32767, greenBits = 0, blueBits = 1, alphaBits = 0, redMask = 0, 
          greenMask = 748069632, blueMask = 2172585559, alphaMask = 3699488304, rgbBits = 60, indexBits = 260841472, accumRedBits = 32572, accumGreenBits = 260882432, accumBlueBits = 32572, accumAlphaBits = -595262581, depthBits = 60, 
          stencilBits = -1942964112, numAuxBuffers = 32767, level = -438105392, pixmapMode = 60, visualID = 0, visualType = 0, visualRating = -31411808, transparentPixel = 51, transparentRed = -595478992, transparentGreen = 60, 
          transparentBlue = -595490224, transparentAlpha = 60, transparentIndex = -595487376, sampleBuffers = 60, samples = 673245014, drawableType = 50, renderType = 5, xRenderable = 0, fbconfigID = 0, maxPbufferWidth = 0, 
          maxPbufferHeight = -1942964116, maxPbufferPixels = 32767, optimalPbufferWidth = 757095928, optimalPbufferHeight = 50, visualSelectGroup = 260841472, swapMethod = 32572, screen = -595487376, bindToTextureRgb = 60, 
          bindToTextureRgba = 260429824, bindToMipmapTexture = 32572, bindToTextureTargets = 673272261, yInverted = 50, sRGBCapable = 1}
        config = 0x0
        best_config = 0x0
#11 0x0000003ce3b84dbe in glxtest () at /usr/src/debug/xulrunner-25.0/mozilla-release/toolkit/xre/glxtest.cpp:159
        buf = "\b\273\060\214\377\177\000\000\340\272\060\214\377\177\000\000\001\000\000\000\000\000\000\000\b2\210\017<\177\000\000X#\204\017<\177\000\000\000 \204\017<\177\000\000ϝ (2", '\000' <repeats 11 times>, "\244\223 (2\000\000\000\005\000\000\000\000\000\000\000\244\223 (2\000\000\000\006\000\000\000\000\000\000\000\020\017 )2\000\000\000\001\000\000\000\000\000\000\000U\000\000\000\000\000\000\000P\265\250\020\000\000\000\000\353\232 (2\000\000\000\324'\240(2\000\000\000P\272\060\214\377\177\000\000(\v )2\000\000\000\070\027 )2\000\000\000`\273\060\214\377\177\000\000P\273\060\214\377\177\000\000\020\000\000\000\000\000\000\000\b2\210\017<\177\000\000\000\000\000\000\000\000\000\000"...
        window = <optimized out>
        glXBindTexImageEXT = <optimized out>
        vInfo = <optimized out>
        context = <optimized out>
        rendererString = <optimized out>

        dpy = 0x7f3c0f8c2000
---Type <return> to continue, or q <return> to quit---
        attribs = {4, 8, 1, 9, 1, 10, 1, 0}
        versionString = <optimized out>
        swa = {background_pixmap = 4198344, background_pixel = 140735545391696, border_pixmap = 140735545391680, border_pixel = 7, bit_gravity = 0, win_gravity = 0, backing_store = 0, backing_planes = 139895935349256, 
          backing_pixel = 215423783272, save_under = -77517174, event_mask = 6391464, do_not_propagate_mask = 223260717992, override_redirect = 0, colormap = 4294967404, cursor = 0}
        vendorString = <optimized out>
        libgl = 0x7f3c0f85d800
#12 0x0000003ce3b85034 in fire_glxtest_process () at /usr/src/debug/xulrunner-25.0/mozilla-release/toolkit/xre/glxtest.cpp:234
        pfd = {3, 4}
        pid = 0
#13 0x0000003ce3b7d516 in XREMain::XRE_mainInit (this=this@entry=0x7fff8c30bf70, aExitFlag=aExitFlag@entry=0x7fff8c30bf1f) at /usr/src/debug/xulrunner-25.0/mozilla-release/toolkit/xre/nsAppRunner.cpp:2836
        rv = <optimized out>
        override = 0x7f3c0f838a80 "\020X\340\345<"
        i = <optimized out>
        ar = <optimized out>
        home = <optimized out>
        gtkModules = <optimized out>
#14 0x0000003ce3b80c3d in XREMain::XRE_main (this=this@entry=0x7fff8c30bf70, argc=argc@entry=2, argv=argv@entry=0x7fff8c30d478, aAppData=aAppData@entry=0x7fff8c30c170)
    at /usr/src/debug/xulrunner-25.0/mozilla-release/toolkit/xre/nsAppRunner.cpp:3906
        aLocal = 0 '\000'
        sampler_raii3876 = {mHandle = 0x7f3c0f8b7000}
        rv = NS_OK
        exit = false
        appInitiatedRestart = <optimized out>
        result = <optimized out>
#15 0x0000003ce3b80f0e in XRE_main (argc=2, argv=0x7fff8c30d478, aAppData=0x7fff8c30c170, aFlags=<optimized out>) at /usr/src/debug/xulrunner-25.0/mozilla-release/toolkit/xre/nsAppRunner.cpp:4128
        main = {mNativeApp = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, mProfileSvc = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, mProfD = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, 
          mProfLD = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, mProfileLock = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, mRemoteService = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, 
          mScopedXPCom = 0x0, mAppData = 0x7f3c0f820b80, mDirProvider = {<nsIDirectoryServiceProvider2> = {<nsIDirectoryServiceProvider> = {<nsISupports> = {
                  _vptr.nsISupports = 0x3ce5bfd650 <vtable for nsXREDirProvider+16>}, <No data fields>}, <No data fields>}, <nsIProfileStartup> = {<nsISupports> = {
                _vptr.nsISupports = 0x3ce5bfd698 <vtable for nsXREDirProvider+88>}, <No data fields>}, mAppProvider = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, mGREDir = {<nsCOMPtr_base> = {
                mRawPtr = 0x0}, <No data fields>}, mXULAppDir = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, mProfileDir = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}, mProfileLocalDir = {<nsCOMPtr_base> = {
                mRawPtr = 0x0}, <No data fields>}, mProfileNotified = false, mAppBundleDirectories = {<nsCOMArray_base> = {
                mArray = {<nsTArray_Impl<nsISupports*, nsTArrayInfallibleAllocator>> = {<nsTArray_base<nsTArrayInfallibleAllocator, nsTArray_CopyElements<nsISupports*> >> = {
                      mHdr = 0x3ce5f624c0 <nsTArrayHeader::sEmptyHdr>}, <nsTArray_TypedBase<nsISupports*, nsTArray_Impl<nsISupports*, nsTArrayInfallibleAllocator> >> = {<nsTArray_SafeElementAtHelper<nsISupports*, nsTArray_Impl<nsISupports*, nsTArrayInfallibleAllocator> >> = {<No data fields>}, <No data fields>}, <No data fields>}, <No data fields>}}, <No data fields>}, mExtensionDirectories = {<nsCOMArray_base> = {
                mArray = {<nsTArray_Impl<nsISupports*, nsTArrayInfallibleAllocator>> = {<nsTArray_base<nsTArrayInfallibleAllocator, nsTArray_CopyElements<nsISupports*> >> = {
                      mHdr = 0x3ce5f624c0 <nsTArrayHeader::sEmptyHdr>}, <nsTArray_TypedBase<nsISupports*, nsTArray_Impl<nsISupports*, nsTArrayInfallibleAllocator> >> = {<nsTArray_SafeElementAtHelper<nsISupports*, nsTArray_Impl<nsISupports*, nsTArrayInfallibleAllocator> >> = {<No data fields>}, <No data fields>}, <No data fields>}, <No data fields>}}, <No data fields>}, mThemeDirectories = {<nsCOMArray_base> = {
                mArray = {<nsTArray_Impl<nsISupports*, nsTArrayInfallibleAllocator>> = {<nsTArray_base<nsTArrayInfallibleAllocator, nsTArray_CopyElements<nsISupports*> >> = {
                      mHdr = 0x3ce5f624c0 <nsTArrayHeader::sEmptyHdr>}, <nsTArray_TypedBase<nsISupports*, nsTArray_Impl<nsISupports*, nsTArrayInfallibleAllocator> >> = {<nsTArray_SafeElementAtHelper<nsISupports*, nsTArray_Impl<nsISupports*, nsTArrayInfallibleAllocator> >> = {<No data fields>}, <No data fields>}, <No data fields>}, <No data fields>}}, <No data fields>}}, mProfileName = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = {
                  mData = 0x7fff8c30c028 "", mLength = 0, mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, mFixedBuf = 0x7fff8c30c028 ""}, 
            mStorage = "\000\300\060\214\377\177\000\000\250\300\060\214\377\177\000\000\257\300\060\214\377\177\000\000\257\300\060\214\377\177\000\000\000\243\226,W\006\177\201@\301\060\214\377\177\000\000\210\300\060\214\377\177\000\000\200\212\203\017<\177\000"}, mDesktopStartupID = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = {mData = 0x7fff8c30c088 "", mLength = 0, mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, 
              mFixedBuf = 0x7fff8c30c088 ""}, 
            mStorage = "\000\300\060\214\377\177\000\000\a\000\000\000\021\000\001\000?\000\000\000<\000\000\000\250\300\060\214\377\177\000\000browser\000\300\200\203\017<\177\000\000\200\212\203\017<\177\000\000\300\211\203\017<\177\000"}, mStartOffline = false, mShuttingDown = false, mDisableRemote = false, mGdkDisplay = 0x0}
        result = <optimized out>
#16 0x0000000000403e61 in do_main (argc=argc@entry=2, argv=argv@entry=0x7fff8c30d478, xreDirectory=0x7f3c0f8380c0) at /usr/src/debug/firefox-25.0/mozilla-release/browser/app/nsBrowserApp.cpp:275
        appData = {<nsXREAppData> = {size = 120, directory = 0x7f3c0f838a80, vendor = 0x7f3c0f82d2d0 "Mozilla", name = 0x7f3c0f82d2d8 "Firefox", version = 0x7f3c0f82d2e0 "25.0", buildID = 0x7f3c0f83b630 "20131030203622", 
            ID = 0x7f3c0f8a62e0 "{ec8030f7-c20a-464f-9b0e-13a3a9e97384}", copyright = 0x0, flags = 14, xreDirectory = 0x7f3c0f8380c0, minVersion = 0x7f3c0f82d2e8 "25.0", maxVersion = 0x7f3c0f82d2f0 "25.0", 
            crashReporterURL = 0x7f3c0f820900 "https://crash-reports.mozilla.com/submit?id={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&version=25.0&buildid=20131030203622", profile = 0x0, UAName = 0x0}, <No data fields>}
        exeFile = {<nsCOMPtr_base> = {mRawPtr = 0x7f3c0f838900}, <No data fields>}
        greDir = {<nsCOMPtr_base> = {mRawPtr = 0x7f3c0f8389c0}, <No data fields>}
        appSubdir = {<nsCOMPtr_base> = {mRawPtr = 0x7f3c0f838a80}, <No data fields>}
        rv = <optimized out>
        appDataFile = <optimized out>
        metroOnDesktop = false
        appini = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
#17 0x00000000004035ff in main (argc=2, argv=0x7fff8c30d478) at /usr/src/debug/firefox-25.0/mozilla-release/browser/app/nsBrowserApp.cpp:635
        gotCounters = 1
        initialRUsage = {ru_utime = {tv_sec = 0, tv_usec = 3000}, ru_stime = {tv_sec = 0, tv_usec = 5000}, {ru_maxrss = 2052, __ru_maxrss_word = 2052}, {ru_ixrss = 0, __ru_ixrss_word = 0}, {ru_idrss = 0, __ru_idrss_word = 0}, {
            ru_isrss = 0, __ru_isrss_word = 0}, {ru_minflt = 1352, __ru_minflt_word = 1352}, {ru_majflt = 0, __ru_majflt_word = 0}, {ru_nswap = 0, __ru_nswap_word = 0}, {ru_inblock = 0, __ru_inblock_word = 0}, {ru_oublock = 8, 
---Type <return> to continue, or q <return> to quit---
            __ru_oublock_word = 8}, {ru_msgsnd = 0, __ru_msgsnd_word = 0}, {ru_msgrcv = 0, __ru_msgrcv_word = 0}, {ru_nsignals = 0, __ru_nsignals_word = 0}, {ru_nvcsw = 19, __ru_nvcsw_word = 19}, {ru_nivcsw = 3, __ru_nivcsw_word = 3}}
        xreDirectory = 0x7f3c0f8380c0
        rv = <optimized out>
        result = <optimized out>
(gdb)
Comment 18 Dr. David Alan Gilbert 2013-12-14 20:42:32 EST
The easy part of stopping this crash is a trivial check that's missing in:

Mesa's

src/gallium/winsys/radeon/drm/radeon_drm_winsys.c:~212

in static boolean do_winsys_init(struct radeon_drm_winsys *ws)

    version = drmGetVersion(ws->fd);

it doesn't guard the version to check if it got a result back; other users of drmGetVersion in various places check it; so adding a

if (!version) {
  return FALSE;
}

there seems to stop the seg; so I think that's a no-brainer addition.


However, the harder question is why it's returning NULL, and I think from the debug it's because fd=-1
Why fd is -1 I've not figured out.
Comment 19 Dr. David Alan Gilbert 2013-12-15 11:06:41 EST
I've filed the missing NULL check as:
https://bugs.freedesktop.org/show_bug.cgi?id=72732
Comment 20 Dr. David Alan Gilbert 2013-12-22 15:03:47 EST
The process that's segging is a thing called 'glxtest.cpp' in xulrunner.
It runs as a separate process that's intent is just to see if GL works (which I guess in this case it doesn't).
Not obvious to me yet when it's triggered, and the gotcha is it closes every fd - including stderr before it does anything interesting.

The backtrace looks like it's failing at:
   int attribs[] = {
      GLX_RGBA,
      GLX_RED_SIZE, 1,
      GLX_GREEN_SIZE, 1,
      GLX_BLUE_SIZE, 1,
      None };
  XVisualInfo *vInfo = glXChooseVisual(dpy, DefaultScreen(dpy), attribs);


Full path:
xulrunner-26.0/mozilla-release/toolkit/xre/glxtest.cpp

(Last week it was 25, still fails with 26 - although not had an X crash yet).
Comment 21 Dr. David Alan Gilbert 2013-12-31 20:26:58 EST
(As I've just put on the upstream bug)

OK, I believe the case that's causing it to go down this route is a perms screw up somewhere; I was running this test in a separate X session (just logging as a normal user on the console and running X :2 )

But with a bit of debug I'm seeing:

libGL: OpenDriver: trying /usr/lib64/dri/tls/r600_dri.so
libGL: OpenDriver: trying /usr/lib64/dri/r600_dri.so
libGL error: failed to open drm device: Permission denied
libGL error: failed to load driver: r600

[dg@major ~]$ ls -lZ /dev/dri/card0
crw-rw----+ root video system_u:object_r:dri_device_t:s0 /dev/dri/card0
[dg@major ~]$ id -Z
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023

So I'm not quite sure what the perm screw up is, but that's separate - this will seg in glxgears or anything if the drm device won't open.

Dave
Comment 22 Dr. David Alan Gilbert 2014-01-01 09:48:47 EST
and as I've said on the upstream; I understand the perms - since I was starting X with :2  it was displaying on vt3 from starting on vt2, and when I changed to vt3 it dropped the acl off /dev/dri/card0 which is why we got the permission denied.

Still, still shows the missing NULL.
Comment 23 Frederic Grelot 2014-01-09 12:20:28 EST
See my findings in bug https://bugzilla.redhat.com/show_bug.cgi?id=1008916 , with an *UGLY* workaround (do NOT do it if you don't know what it implies) that does not imply to rebuild the package. In my case, it fixes my broken multiseat install.

Goulou
Comment 24 Jaroslav Reznik 2015-03-03 11:54:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Note You need to log in before you can comment on or make changes to this bug.